import { z as e } from "zod";
import { Config as t } from "./accelbyte-widgets592.mjs";
import { ColorConfigs as l, FontConfigs as i } from "./accelbyte-widgets599.mjs";
const r = e.object({
  url: e.string(),
  name: e.string()
}), n = e.object({
  images: e.array(r),
  defaultIndex: e.number()
}), s = e.object({
  window: e.object({
    colors: l,
    fonts: i
  })
}), b = e.object({
  url: e.string(),
  platform: e.string(),
  apps: e.array(e.string())
}), a = e.object({
  draft: e.string(),
  published: e.string()
});
var g = /* @__PURE__ */ ((o) => (o.SINGLE = "single-game", o.MULTIPLE = "multiple-game", o))(g || {});
const u = e.object({
  isAccountOverviewVisible: e.boolean().default(!0),
  isChangePasswordVisible: e.boolean().default(!0),
  isDeleteAccountVisible: e.boolean().default(!0),
  isGetLauncherVisible: e.boolean().default(!0),
  isLinkedAccountsVisible: e.boolean().default(!0),
  isMyProfileVisible: e.boolean().default(!0),
  isNotificationsVisible: e.boolean().default(!1),
  isOrderHistoryVisible: e.boolean().default(!0),
  isPaymentMethodsVisible: e.boolean().default(!0),
  isPersonalDataVisible: e.boolean().default(!0),
  isLegalAgreementsVisible: e.boolean().default(!0),
  isPurchasedItemsVisible: e.boolean().default(!0),
  isRedeemCodeVisible: e.boolean().default(!0),
  isStoreVisible: e.boolean().default(!0),
  isSubscriptionsVisible: e.boolean().default(!1),
  isVirtualCurrencyVisible: e.boolean().default(!1),
  isTwitchDropEnabled: e.boolean().default(!0),
  isLegalEnabled: e.boolean().default(!0),
  isLegalPageVisible: e.boolean().default(!0)
});
e.object({
  ppTemplateInfo: t.merge(
    e.object({
      data: a
    })
  ),
  launcherTemplateInfo: t.merge(
    e.object({
      data: a
    })
  ),
  loginTemplateInfo: t.merge(
    e.object({
      data: a
    })
  ),
  legalTemplateInfo: t.merge(
    e.object({
      data: a
    })
  ),
  paymentTemplateInfo: t.merge(
    e.object({
      data: a
    })
  ),
  twitchDropTemplateInfo: t.merge(
    e.object({
      data: a
    })
  ),
  supportTemplateInfo: t.merge(
    e.object({
      data: a
    })
  ),
  ppFeatureFlags: t.merge(
    e.object({
      data: u
    })
  ),
  launcherFeatureFlags: t,
  loginFeatureFlags: t,
  supportFeatureFlags: t,
  experimentalFeatureFlags: t,
  socialLinks: t.merge(
    e.object({
      data: e.object({
        value: e.array(b)
      })
    })
  ),
  copyright: t.merge(
    e.object({
      data: e.object({
        value: e.string()
      })
    })
  ),
  globalPageConfig: t.merge(
    e.object({
      data: s,
      name: e.string(),
      format: e.string(),
      updatedAt: e.string(),
      version: e.number()
    })
  ),
  companyLogo: t.merge(
    e.object({
      data: n,
      name: e.string(),
      format: e.string(),
      updatedAt: e.string(),
      version: e.number()
    })
  ),
  templateConfig: t.merge(
    e.object({
      data: e.object({
        value: e.union([e.literal("single-game"), e.literal("multiple-game")])
      })
    })
  ),
  appId: t.merge(
    e.object({
      data: e.object({
        value: e.string()
      })
    })
  ),
  avatarsList: t.merge(
    e.object({
      data: e.object({
        value: e.string()
      })
    })
  ),
  brandName: t.merge(
    e.object({
      data: e.object({
        value: e.string()
      })
    })
  ),
  favicon: t.merge(
    e.object({
      data: e.object({
        value: e.string()
      })
    })
  ),
  pageTitle: t.merge(
    e.object({
      data: e.object({
        value: e.string()
      })
    })
  ),
  launcherIcon: t.merge(
    e.object({
      data: e.object({
        value: e.string()
      })
    })
  )
});
export {
  r as CompanyLogo,
  n as CompanyLogoConfig,
  s as GlobalStyleConfig,
  u as PlayerPortalFeatureFlagsConfig,
  b as SocialLinkConfig,
  g as TemplateConfig,
  a as TemplateInfoConfig
};
